Bug 27704 - pkgconfig(*) autodep is incomplete
: pkgconfig(*) autodep is incomplete
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/d...
:
:
:
  Show dependency tree
 
Reported: 2012-09-06 08:12 by
Modified: 2012-09-09 13:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-09-06 08:12:37
$ grep xml /usr/lib64/pkgconfig/libsoup-2.4.pc
Requires.private: libxml-2.0
$ rpm -qR libsoup-devel | grep xml
$

Похоже, Requires.private упускаются.
------- Comment #1 From 2012-09-06 16:28:31 -------
Ну так это же фича, а не бага.
------- Comment #2 From 2012-09-09 13:04:50 -------
$ rpm -q --lastchange pkg-config
* Mon Feb 28 2011 Alexey Tourbin <at@altlinux.ru> 0.25-alt2
- Tolerate missing Requires.private in --cflags mode.
------- Comment #3 From 2012-09-09 13:06:24 -------
Если таким образом (в редких случаях) упускаются зависимости на заголовочные
файлы, то они воспоняются через cpp.req.